<?php

namespace Dev4Press\Plugin\DemoPress\Admin\Panel;

use Dev4Press\Core\UI\Admin\PanelTools;
use Dev4Press\Plugin\DemoPress\Traits\Panel as TraitPanel;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Tools extends PanelTools {
	use TraitPanel;

	protected function init_default_subpanels() {
		parent::init_default_subpanels();

		$this->subpanels = array_slice( $this->subpanels, 0, 1 ) +
		                   array(
			                   'cleanup' => array(
				                   'title'        => __( "Remove Generated Data", "d4plib" ),
				                   'icon'         => 'ui-trash',
				                   'break'        => __( "Cleanup", "d4plib" ),
				                   'break-icon'   => 'ui-warning',
				                   'method'       => 'post',
				                   'button_label' => __( "Remove Data", "d4plib" ),
				                   'info'         => __( "Remove data generated by plugin.", "d4plib" )
			                   )
		                   ) + array_slice( $this->subpanels, 1 );
	}

	public function enqueue_scripts() {
		$this->local_enqueue_scripts( $this->a() );
	}
}
